import { Employee } from "../employee/employee";
import { Situation } from "../situation/situation";
import { ReadinessDto } from "./readiness-dto";
export declare class Readiness {
    id?: string;
    employee: Employee;
    startDate: string;
    startTime: string;
    endDate: string;
    endTime: string;
    situation: Situation;
    observation?: string;
    continuous?: boolean;
    createdBy?: string;
    createdDate?: Date;
    lastModifiedBy?: string;
    lastModifiedDate?: Date;
    custom?: any;
    static fromDto(readinessDto: ReadinessDto, originEntity?: string): Readiness;
    static toDto(readiness: Readiness, originEntity?: string): ReadinessDto;
}
